#ifndef GROUP_H
#define GROUP_H

#include "GraphNode.h"


namespace nsSceneGraph {

// forward declaration
class SceneGraphVisitor;


class Group : public GraphNode
{
	friend class SceneGraphVisitor;
	friend class GlCompileVisitor;
	friend class GlCompileSmoothVisitor;

	public:
		Group(void);
		~Group(void);

		int action(SceneGraphVisitor *visitor);

		GraphNode *duplicate(void);
};


}

#endif

